Module org.eclipse.microprofile.openapi

# Package org.eclipse.microprofile.openapi.models.parameters

@Version("1.1") @ProviderType package org.eclipse.microprofile.openapi.models.parameters
A set of model interfaces to describe operation parameters and operation's request body.

The behaviour of methods inherited from java.lang.Object are undefined by the MicroProfile OpenAPI specification.

Example usage:

     .components(OASFactory.createObject(Components.class)
          .parameters(new HashMap<String, Parameter>())
              .addParameter("departureDate", OASFactory.createObject(Parameter.class)
                  .required(true)
                  .description("Customer departure date")
                  .schema(OASFactory.createObject(Schema.class)))
              .addParameter("username", OASFactory.createObject(Parameter.class)
                  .required(true)
                  .description("The name that needs to be deleted")
                  .schema(OASFactory.createObject(Schema.class)))

Related Packages
Package
Description
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
Class
Description
Parameter
Parameter
Parameter.In
The values allowed for the in field.
Parameter.Style
The values allowed for the style field.
RequestBody
This interface represents the request body of an operation in which body parameters can be specified.